<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedEntities/Triggers/TrapTrigger.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d8c/_trap_trigger_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">TrapTrigger.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d6/d8c/_trap_trigger_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d01/class_trap_trigger.html">TrapTrigger</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../d1/d4b/class_trigger.html" title="Scripted Trigger.">Trigger</a> used by traps.  <a href="../../dd/d01/class_trap_trigger.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad9c795079cb984d63572d37bdebd2624"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d01/class_trap_trigger.html">TrapTrigger</a> <a class="el" href="../../d1/d4b/class_trigger.html">Trigger</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8c/_trap_trigger_8c.html#ad9c795079cb984d63572d37bdebd2624">OnEnterServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:ad9c795079cb984d63572d37bdebd2624"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa5650dcbdf1113bbfb5349cc0f81978"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8c/_trap_trigger_8c.html#afa5650dcbdf1113bbfb5349cc0f81978">SetParentObject</a> (<a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a> obj)</td></tr>
<tr class="separator:afa5650dcbdf1113bbfb5349cc0f81978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc6e2bf321d5e6d5fcee3c3d4a9b084"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8c/_trap_trigger_8c.html#a6bc6e2bf321d5e6d5fcee3c3d4a9b084">CanAddObjectAsInsider</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a6bc6e2bf321d5e6d5fcee3c3d4a9b084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a633a75c5aea6f5fdb280fcd98238ca06"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8c/_trap_trigger_8c.html#a633a75c5aea6f5fdb280fcd98238ca06">OnLeaveServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:a633a75c5aea6f5fdb280fcd98238ca06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2516b97ad8217d8a8387566179afbc88"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8c/_trap_trigger_8c.html#a2516b97ad8217d8a8387566179afbc88">m_ParentObj</a></td></tr>
<tr class="separator:a2516b97ad8217d8a8387566179afbc88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6bc6e2bf321d5e6d5fcee3c3d4a9b084" name="a6bc6e2bf321d5e6d5fcee3c3d4a9b084"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bc6e2bf321d5e6d5fcee3c3d4a9b084">&#9670;&#160;</a></span>CanAddObjectAsInsider()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> OnEnterServerEvent::CanAddObjectAsInsider </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00072">72</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<a id="ad9c795079cb984d63572d37bdebd2624" name="ad9c795079cb984d63572d37bdebd2624"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9c795079cb984d63572d37bdebd2624">&#9670;&#160;</a></span>OnEnterServerEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d01/class_trap_trigger.html">TrapTrigger</a> <a class="el" href="../../d1/d4b/class_trigger.html">Trigger</a> OnEnterServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00001">1</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<a id="a633a75c5aea6f5fdb280fcd98238ca06" name="a633a75c5aea6f5fdb280fcd98238ca06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a633a75c5aea6f5fdb280fcd98238ca06">&#9670;&#160;</a></span>OnLeaveServerEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override protected void OnEnterServerEvent::OnLeaveServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00089">89</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<a id="afa5650dcbdf1113bbfb5349cc0f81978" name="afa5650dcbdf1113bbfb5349cc0f81978"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa5650dcbdf1113bbfb5349cc0f81978">&#9670;&#160;</a></span>SetParentObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnEnterServerEvent::SetParentObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00064">64</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a2516b97ad8217d8a8387566179afbc88" name="a2516b97ad8217d8a8387566179afbc88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2516b97ad8217d8a8387566179afbc88">&#9670;&#160;</a></span>m_ParentObj</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a> m_ParentObj</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00058">58</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_d0a9ed3069b91726da9f1927000078f9.html">ScriptedEntities</a></li><li class="navelem"><a class="el" href="../../dir_6078c131c69a1ce41efd829f012f12be.html">Triggers</a></li><li class="navelem"><a class="el" href="../../d6/d8c/_trap_trigger_8c.html">TrapTrigger.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
